Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_TLI_Connector Class Reference

Defines an active connection factory for the ACE_TLI C++ wrappers. More...

`#include <TLI_Connector.h>`

Inheritance diagram for ACE_TLI_Connector:

[legend]
List of all members.

## Public Types
typedef ACE_INET_Addr | PEER_ADDR
typedef ACE_TLI_Stream | PEER_STREAM
## Public Methods
| ACE_TLI_Connector (void)
| Default constructor.
| ACE_TLI_Connector (ACE_TLI_Stream &new_stream, const ACE_Addr &remote_sap, ACE_Time_Value *timeout=0, const ACE_Addr &local_sap=ACE_Addr::sap_any, int reuse_addr=0, int flags=O_RDWR, int perms=0, const char device[]=ACE_TLI_TCP_DEVICE, struct t_info *info=0, int rw_flag=1, struct netbuf *udata=0, struct netbuf *opt=0)
int | connect (ACE_TLI_Stream &new_stream, const ACE_Addr &remote_sap, ACE_Time_Value *timeout=0, const ACE_Addr &local_sap=ACE_Addr::sap_any, int reuse_addr=0, int flags=O_RDWR, int perms=0, const char device[]=ACE_TLI_TCP_DEVICE, struct t_info *info=0, int rw_flag=1, struct netbuf *udata=0, struct netbuf *opt=0)
int | complete (ACE_TLI_Stream &new_stream, ACE_Addr *remote_sap, ACE_Time_Value *tv)
int | reset_new_handle (ACE_HANDLE handle)
| Resets any event associations on this handle.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Defines an active connection factory for the ACE_TLI C++ wrappers.

## Member Typedef Documentation

typedef ACE_INET_Addr ACE_TLI_Connector::PEER_ADDR

| Reimplemented in ACE_XTI_ATM_Mcast.

typedef ACE_TLI_Stream ACE_TLI_Connector::PEER_STREAM

| Reimplemented in ACE_XTI_ATM_Mcast.

## Constructor & Destructor Documentation

ACE_TLI_Connector::ACE_TLI_Connector | ( | void |  | ) |

| Default constructor.

ACE_INLINE ACE_TLI_Connector::ACE_TLI_Connector | ( | ACE_TLI_Stream & | new_stream,
|  | const ACE_Addr & | remote_sap,
|  | ACE_Time_Value * | timeout = 0,
|  | const ACE_Addr & | local_sap = ACE_Addr::sap_any,
|  | int | reuse_addr = 0,
|  | int | flags = O_RDWR,
|  | int | perms = 0,
|  | const char | device[] = ACE_TLI_TCP_DEVICE,
|  | struct t_info * | info = 0,
|  | int | rw_flag = 1,
|  | struct netbuf * | udata = 0,
|  | struct netbuf * | opt = 0
| ) |

| Actively connect and produce a <new_stream> if things go well. The <remote_sap> is the address that we are trying to connect with. The <timeout> is the amount of time to wait to connect. If it's 0 then we block indefinitely. If *timeout == {0, 0} then the connection is done using non-blocking mode. In this case, if the connection can't be made immediately the value of -1 is returned with <errno == EWOULDBLOCK>. If *timeout > {0, 0} then this is the maximum amount of time to wait before timing out. If the time expires before the connection is made <errno == ETIME>. The <local_sap> is the value of local address to bind to. If it's the default value of <ACE_Addr::sap_any> then the user is letting the OS do the binding. If <reuse_addr> == 1 then the <local_addr> is reused, even if it hasn't been cleanedup yet.

## Member Function Documentation

int ACE_TLI_Connector::complete | ( | ACE_TLI_Stream & | new_stream,
|  | ACE_Addr * | remote_sap,
|  | ACE_Time_Value * | tv
| ) |

| Try to complete a non-blocking connection. If connection completion is successful then <new_stream> contains the connected ACE_SOCK_Stream. If <remote_sap> is non-NULL then it will contain the address of the connected peer.

int ACE_TLI_Connector::connect | ( | ACE_TLI_Stream & | new_stream,
|  | const ACE_Addr & | remote_sap,
|  | ACE_Time_Value * | timeout = 0,
|  | const ACE_Addr & | local_sap = ACE_Addr::sap_any,
|  | int | reuse_addr = 0,
|  | int | flags = O_RDWR,
|  | int | perms = 0,
|  | const char | device[] = ACE_TLI_TCP_DEVICE,
|  | struct t_info * | info = 0,
|  | int | rw_flag = 1,
|  | struct netbuf * | udata = 0,
|  | struct netbuf * | opt = 0
| ) |

| Actively connect and produce a <new_stream> if things go well. The <remote_sap> is the address that we are trying to connect with. The <timeout> is the amount of time to wait to connect. If it's 0 then we block indefinitely. If *timeout == {0, 0} then the connection is done using non-blocking mode. In this case, if the connection can't be made immediately the value of -1 is returned with <errno == EWOULDBLOCK>. If *timeout > {0, 0} then this is the maximum amount of time to wait before timing out. If the time expires before the connection is made <errno == ETIME>. The <local_sap> is the value of local address to bind to. If it's the default value of <ACE_Addr::sap_any> then the user is letting the OS do the binding. If <reuse_addr> == 1 then the <local_addr> is reused, even if it hasn't been cleanedup yet. Reimplemented in ACE_XTI_ATM_Mcast.

void ACE_TLI_Connector::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_XTI_ATM_Mcast.

ACE_INLINE int ACE_TLI_Connector::reset_new_handle | ( | ACE_HANDLE | handle | ) |

| Resets any event associations on this handle.

## Member Data Documentation

ACE_TLI_Connector::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_XTI_ATM_Mcast.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TLI_Connector.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TLI_Connector.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TLI_Connector.i